package ecp.vcs.com.ecpsyncplugin.re_sync.networking;


import com.google.gson.JsonObject;

import org.json.JSONArray;
import org.json.JSONObject;

import ecp.vcs.com.ecpsyncplugin.re_sync.utils.Const;
import okhttp3.MultipartBody;
import okhttp3.RequestBody;
import okhttp3.ResponseBody;
import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.Field;
import retrofit2.http.FormUrlEncoded;
import retrofit2.http.Multipart;
import retrofit2.http.POST;
import retrofit2.http.Part;


/**
 * @author Value Chain Soluction Pvt Ltd.
 */

public interface APIService {

    @FormUrlEncoded
    @POST(Const.WEB_SERVICES_URL.WS_USER_CURRENT_POINTS)
    Call<JsonObject> getUserPoints(@Field("country_id") String country_id,
                                   @Field("user_id") String user_id,
                                   @Field("date_folder") String date_folder,
                                   @Field("request_param") JSONObject requestParam);

    @FormUrlEncoded
    @POST("web_service/web_service_cpm/getTickerManagementData")
    Call<JsonObject> getTickerData(@Field("module") String module,
                                    @Field(Const.WEB_SERVICES_PARAM.KEY_REQUEST_PARAM) String request_param);
}
